gnutls_rsa_export_get_modulus_bits(3)

NAME
gnutls_rsa_export_get_modulus_bits - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_rsa_export_get_modulus_bits(gnutls_session_t session);

ARGUMENTS

gnutls_session_t session
    is a gnutls session

DESCRIPTION
Get the export RSA parameter's modulus size.

RETURNS
the bits used in the last RSA-EXPORT key exchange with the peer, or a negative value in case of error.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.